package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItemdiscountActivitySkuAddRequest struct {
	/*
	   添加活动商品参数     */
	Param *domain.AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddRequest) SetParam(v domain.AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest) *AlibabaRetailMarketingItemdiscountActivitySkuAddRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingItemdiscountActivitySkuAddRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItemdiscountActivitySkuAddRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
